%define upstream_name    Path-Tiny
%define upstream_version 0.094

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    6
Summary:    File path utility
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Path/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Cwd)
BuildRequires: perl(Devel::Hide)
BuildRequires: perl(Digest::SHA)
BuildRequires: perl(Exporter) >= 5.570.0
BuildRequires: perl(Fcntl)
BuildRequires: perl(File::Copy)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Path) >= 2.70.0
BuildRequires: perl(File::Spec) >= 3.400.0
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(File::Spec::Unix)
BuildRequires: perl(File::Temp) >= 0.180.0
BuildRequires: perl(File::pushd)
BuildRequires: perl(File::stat)
BuildRequires: perl(List::Util)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::FailWarnings)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 1.1.9
BuildRequires: perl(autodie) >= 2.140.0
BuildRequires: perl(strict)
BuildRequires: perl-devel
BuildRequires: perl(ExtUtils::MakeMaker) >= 7.40.0
BuildRequires: perl(Unicode::UTF8) >= 0.600.0
BuildRequires: perl(Test::MockRandom)

BuildArch:  noarch

%description
This module attempts to provide a small, fast utility for working with file
paths. It is friendlier to use than the File::Spec manpage and provides
easy access to functions from several other core file handling modules.

It doesn't attempt to be as full-featured as the IO::All manpage or the
Path::Class manpage, nor does it try to work for anything except Unix-like
and Win32 platforms. Even then, it might break if you try something
particularly obscure or tortuous. (Quick! What does this mean:
'///../../..//./././a//b/.././c/././'? And how does it differ on Win32?)

All paths are forced to have Unix-style forward slashes. Stringifying the
object gives you back the path (after some clean up).

%prep
%setup -qn %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog

* Thu Jun 29 2017 Denis Silakov <dsilakov@virtuozzo.com> 0.94.0-6
- (287919a) Move to main


